%define name libcanberra 
%define shortname canberra 
%define version 0.11
%define release %mkrel 4

# Majors
%define major 0
%define major_gtk 0

# Library names
%define libname %mklibname %{shortname} %{major}
%define libname_gtk %mklibname %{shortname}-gtk %{major_gtk}
%define libname_devel %mklibname -d %{shortname}

Summary: XDG compliant sound event library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Source1: %{name}-gtk-module.sh
Patch0001: 0001-If-supported-leave-the-volume-for-event-sounds-unsp.patch
Patch0002: 0002-register-a-few-new-PA-error-codes.patch
Patch0003: 0003-make-use-of-PA_STREAM_FAIL_ON_SUSPEND-if-defined.patch
Patch0004: 0004-Detect-forks.patch
Patch0005: 0005-don-t-crash-if-there-is-no-default-display-on-initia.patch
License: LGPL
Group: Sound
Url: http://0pointer.de/lennart/projects/libcanberra/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk+2-devel
BuildRequires: libalsa-devel
BuildRequires: libvorbis-devel
BuildRequires: libltdl-devel
BuildRequires: gtk-doc
BuildRequires: tdb-devel
BuildRequires: pulseaudio-devel

# (cg) The following seem to be required to make autoreconf not moan.
BuildRequires: gettext-devel
BuildRequires: libGConf2-devel

%description
A small and lightweight implementation of the XDG Sound Theme Specification
(http://0pointer.de/public/sound-theme-spec.html).

%package -n %{libname}
Summary: XDG complient sound event library
Group: System/Libraries
# (cg) This is just temporary. This should really be a generic requires.
Requires: sound-theme-freedesktop

%description -n %{libname}
A small and lightweight implementation of the XDG Sound Theme Specification
(http://0pointer.de/public/sound-theme-spec.html).


%package -n %{shortname}-gtk
Summary: GTK utilities for the %{name} XDG complient sound event library
Group: System/Libraries
Obsoletes: %{name}-gtk2

%description -n %{shortname}-gtk
GTK specific utilities for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%post -n %{shortname}-gtk
%post_install_gconf_schemas %{name}

%preun -n %{shortname}-gtk
%preun_uninstall_gconf_schemas %{name}


%package -n %{libname_gtk}
Summary: GTK modules for the %{name} XDG complient sound event library
Group: System/Libraries
Requires: %{shortname}-gtk >= %version

%description -n %{libname_gtk}
GTK specific libraries for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).


%package -n %{libname_devel}
Summary: Headers and libraries for %{name} development
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}
Requires: %libname = %version
Requires: %libname_gtk = %version

%description -n %{libname_devel}
Development files for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%prep
%setup -q
%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

%build
./autogen.sh -V
%configure2_5x --disable-gstreamer --disable-oss

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Remove static and metalink libraries
find %{buildroot} \( -name *.a -o -name *.la \) -exec rm {} \;
install -D -m755  %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/xinit.d/libcanberra-gtk-module.sh
# Remove the multi output module until it's more stable
rm -f %{buildroot}%{_libdir}/libcanberra-%{version}/libcanberra-multi.so

%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.%{major}*
%dir %{_libdir}/%{name}-%{version}
%{_libdir}/%{name}-%{version}/%{name}-alsa.so
%{_libdir}/%{name}-%{version}/%{name}-pulse.so
%{_libdir}/%{name}-%{version}/%{name}-null.so

%files -n %{libname_gtk}
%defattr(-,root,root)
%{_libdir}/%{name}-gtk.so.%{major_gtk}*
%{_libdir}/gtk-2.0/modules/%{name}-gtk-module.so

%files -n %{shortname}-gtk
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/libcanberra.schemas
%{_sysconfdir}/X11/xinit.d/libcanberra-gtk-module.sh
%{_bindir}/canberra-gtk-play
%{_datadir}/gnome/autostart/libcanberra-login-sound.desktop
%{_datadir}/gnome/shutdown/libcanberra-logout-sound.sh


%files -n %{libname_devel}
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/README
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{shortname}-gtk.h
%{_includedir}/%{shortname}.h
%{_libdir}/%{name}-gtk.so
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}-gtk.pc
%{_libdir}/pkgconfig/%{name}.pc



%changelog
* Tue Apr 21 2009 Frederic Crozat <fcrozat@mandriva.com> 0.11-4mdv2009.1
+ Revision: 368481
- Do no set GTK_MODULES under GNOME, gnome-settings-daemon handles it

* Fri Apr 03 2009 Colin Guthrie <cguthrie@mandriva.org> 0.11-3mdv2009.1
+ Revision: 363733
- Add more buildrequires (not strictly needed, but it stops autoreconf running)
- Missing buildrequire gettext-devel(not 100%% sure about this but I have it locally and it builds locally)
- Add a few fixes from upstream

* Sat Mar 28 2009 Götz Waschk <waschk@mandriva.org> 0.11-2mdv2009.1
+ Revision: 361920
- rebuild for new tdb

* Thu Jan 22 2009 Frederic Crozat <fcrozat@mandriva.com> 0.11-1mdv2009.1
+ Revision: 332433
- Release 0.11
- Remove patch0 (merged upstream)

* Sat Oct 11 2008 Colin Guthrie <cguthrie@mandriva.org> 0.10-1mdv2009.1
+ Revision: 291931
- New version: 0.10
- Enable pulse backend

* Sat Sep 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9-3mdv2009.0
+ Revision: 284497
- Rebuild against new samba for tdb-based cache support

* Wed Sep 10 2008 Frederic Crozat <fcrozat@mandriva.com> 0.9-2mdv2009.0
+ Revision: 283533
- Patch0: start login sound later, to ensure g-s-d is already running, selecting the right sound theme

* Tue Sep 09 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9-1mdv2009.0
+ Revision: 283147
- New version: 0.9

* Thu Aug 28 2008 Colin Guthrie <cguthrie@mandriva.org> 0.8-1mdv2009.0
+ Revision: 277010
- New version 0.8
- NB Gstreamer and OSS outputs are disabled as their usefulness is aligned to Mandriva setup

* Mon Aug 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7-1mdv2009.0
+ Revision: 273123
- New version: 0.7.0
- Fix website
- Drop patches applied upstream

* Tue Aug 12 2008 Frederic Crozat <fcrozat@mandriva.com> 0.6-3mdv2009.0
+ Revision: 271084
- Patch0: disable warnings when no sound file is found

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 0.6-2mdv2009.0
+ Revision: 264083
- add dep on canberra-gtk to the lib package to make it work out of the box

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2009.0
+ Revision: 263876
- fix devel deps again

  + Colin Guthrie <cguthrie@mandriva.org>
    - Fix package names to avoid lib prefix when not a library.
    - Fix registration module (drop the 'lib' prefix, it's added automatically)
    - New version: 0.6

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 0.4-2mdv2009.0
+ Revision: 263850
- add missing deps to the devel package

* Mon Jul 28 2008 Colin Guthrie <cguthrie@mandriva.org> 0.4-1mdv2009.0
+ Revision: 250736
- Update to 0.4
- Add a -gtk2 subpackage (this could cause naming problems when major changes to 2 on i586)
- Add xinit.d file to define module support

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3-2mdv2009.0
+ Revision: 219452
- typo fixes in descriptions

* Sun Jun 15 2008 Colin Guthrie <cguthrie@mandriva.org> 0.3-1mdv2009.0
+ Revision: 219331
- Update to 0.3
- Remove %%post scripts as now handled by file triggers
- Minor macro adjustments for less name quoting.
- import libcanberra


